=== debian/changelog ===
tthsum (1.3.1-2) unstable; urgency=low

  * Fix big endian test fails on kfreebsd-amd64 (Closes: #664144)
    - Thanks Petr Salinger for patch.
  * Switch to use packaging format 3.0 quilt.

 -- Hector Oron <zumbi@debian.org>  Sat, 05 Jan 2013 09:52:34 +0000

tthsum (1.3.1-1) unstable; urgency=low

  * New upstream release (Closes: #644895, #517619, #599173)
    - Fix buffer overrun in tiger tests. Reported by Edward Sheldrake.
    - Force alignment on platforms that need it using a compile-time test. Thanks
      go out to pavelch for providing failing test cases and to Zoiah for lending
      me an ARM ;-)
      (I added a minimal autoconf.c as a faster alternative to proper autconf.)
    - Fix a rather serious problem with the big endian code. Non-trivial files over
      1024 bytes would not have had proper hashes calculated. (Debian bug #517619)
    - New test cases and tweaks to existing tests.
    - Fix so compilation with -ansi works.
    - Fix another problem with alignment on an ARM with -O3 optimization. Thanks
      Hector Oron for hooking me up with access to the debian ARM box.
    - Fix problems with debian packaging. (Debian bug #599173 and CPPFLAGS
      override.)
    - Minor code and build system cleanup.
    - Changed -p output to print percentages instead of MiB counts.
    - Base32 decoding errors did not generate a valid error message. (Error code
      0 conflicted with SUCCESS.)
    - Fixed that ctrlesctostr accepted strange BASE36 escape sequences.
    - Made getopt for Windows more compatible with POSIX getopt.
    - Fixed that including the tthsum specific texts.c is optional.
    - Changed some header inclusions to be more compliant with C specs and made
      the source a bit more strict (ANSI C compatible, C++ compatible).
    - Added a test suite to detect stupid bugs at compile time. (Like the next
      bug.)
    - Endianness was not properly detected on various architectures (see debian
      bug 517619; thanks Alan Curry <pacman> for reporting).
    - Standardized UTF8 functions to behave as specified on Windows.
    - Corrected the need for a double EOF when reading from stdin.
    - Changed license from GPLv2 to GPLv3. Updated help texts (suggesting gmake
      on non-Linuxen, for instance).
    - Removed a bit of overhead on big endian platforms.
  * New maintainer.
  * Bump Standards-Version to 3.9.3
  * Bump debhelper compat version to 8
  * Add Homepage stanza
  * Add watch file

 -- Hector Oron <zumbi@debian.org>  Mon, 05 Mar 2012 01:24:01 +0000

tthsum (1.1.0-1) unstable; urgency=low

  * initial upload (closes: #312503)

 -- RISKO Gergely <risko@debian.org>  Mon,  4 Jul 2005 02:10:00 +0200
