=== debian/control ===
Source: tthsum
Section: utils
Priority: optional
Maintainer: Hector Oron <zumbi@debian.org>
Build-Depends: cdbs, debhelper (>=8)
Standards-Version: 3.9.3
Homepage: http://tthsum.devs.nu/

Package: tthsum
Architecture: any
Depends: ${shlibs:Depends}
Description: generates or checks TTH message digests
 tthsum generates or checks TTH checksums (root of the THEX hash
 tree).  The Merkle Hash Tree, invented by Ralph Merkle, is a hash
 construct that exhibits desirable properties for verifying the
 integrity of files and file subranges in an incremental or
 out-of-order fashion.  tthsum uses the Tiger hash algorithm for both
 the internal and the leaf nodes.
 .
 The specification of the THEX algorithm is at:
 http://www.open-content.net/specs/draft-jchapweske-thex-02.html
 .
 The specification of the Tiger hash algorithm is at:
 http://www.cs.technion.ac.il/~biham/Reports/Tiger/
