## tthsum 1.3.2

=== Makefile ===
--- 
+++ 
@@ -31,6 +31,8 @@
 
 BINS = obj-unix
 SHARES = share
+HEADERS = base32.h endian.h escape.h getopt.h read.h test.h texts.h \
+	thex.h tiger.h tthsum.h types.h utf8.h
 APPSRC = base32.c escape.c getopt.c read.c texts.c thex.c tiger.c \
 	tthsum.c utf8.c
 APPOBJ = $(patsubst %.c,$(BINS)/%.o, $(APPSRC))
@@ -77,6 +79,10 @@
 clean:
 	$(RM) $(BINS) $(SHARES)
 
+# TSTSRC includes APPSRC
+$(TSTSRC) autoconf.c: $(HEADERS)
+	touch $(TSTSRC) autoconf.c
+
 $(BINS)/%.o: %.c
 	@mkdir -p $(BINS)
 	$(CC) $(CPPFLAGS) $(CFLAGS) -c $< -o $@
@@ -92,7 +98,7 @@
 # "autoconf"
 $(BINS)/autoconf.cppflags: autoconf.c
 	@mkdir -p $(BINS)
-	$(CC) $(CFLAGS) -c autoconf.c -o $(BINS)/autoconf.o
+	$(CC) $(CPPFLAGS) $(CFLAGS) -c autoconf.c -o $(BINS)/autoconf.o
 	$(CC) $(LDFLAGS) $(BINS)/autoconf.o -o $(BINS)/autoconf
 	$(BINS)/autoconf >$(BINS)/autoconf.cppflags
 $(APPOBJ): $(BINS)/autoconf.cppflags
