=== debian/changelog ===
tthsum (1.3.2-2) unstable; urgency=medium

  * QA upload.
    Closes: #1119642
  * Maintain package in Debian team
  * d/watch
     - Version=5
     - Fix
  * d/copyright: DEP5 + review
  * Convert from cdbs to dh
    Closes: #1114786
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * debputy lint --auto-fix (routine-update)
  * Depends: ${misc:Depends}
  * d/rules: hardening
  * Lintian-overrides for insecure URI in watch file

 -- Andreas Tille <tille@debian.org>  Sat, 15 Nov 2025 16:16:41 +0100

tthsum (1.3.2-1) unstable; urgency=medium

  * New upstream release:
    - Update manpage, fixing incorrect use of hyphens which should be minuses in
      most cases. And update URL to the thex specification.
    - Add __GLIBC__ to __linux check in endian.h so endianness is correctly
      detected on kFreeBSD. Reported by Christoph Egger. Patch by Petr Salinger.
      (Debian bug #664144.)
    - Probably fix "dpkg-buildflags-missing CPPFLAGS" debian warning.
    - Makefile ensures recompilation on header file changes.
    - Fix "N out of M files failed" tthsum -v message.
    - Fix that the text tests shouldn't fail when you're using localized errors.
      You get a warning instead.
    - Replace -1 in set_error() api with ERROR_FROM_OS.
    - Replaced sprintf usage in texts internals.

 -- Hector Oron <zumbi@debian.org>  Wed, 24 Sep 2014 01:34:15 +0200
