=== debian/control ===
--- 
+++ 
@@ -1,14 +1,19 @@
 Source: tthsum
+Standards-Version: 4.7.2
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Section: utils
 Priority: optional
-Maintainer: Hector Oron <zumbi@debian.org>
-Build-Depends: cdbs, debhelper (>=8)
-Standards-Version: 3.9.3
+Build-Depends:
+ debhelper-compat (= 13),
+Vcs-Browser: https://salsa.debian.org/debian/tthsum
+Vcs-Git: https://salsa.debian.org/debian/tthsum.git
 Homepage: http://tthsum.devs.nu/
 
 Package: tthsum
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends}
 Description: generates or checks TTH message digests
  tthsum generates or checks TTH checksums (root of the THEX hash
  tree).  The Merkle Hash Tree, invented by Ralph Merkle, is a hash
