=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_install:
	BIN=$(CURDIR)/debian/`dh_listpackages`/usr/bin MAN=$(CURDIR)/debian/`dh_listpackages`/usr/share/man dh_auto_install
