=== debian/watch ===
Version: 5

Source: http://tthsum.devs.nu/
Matching-Pattern: pkg/tthsum-(.+)\.tar\.gz
